package cz.muni.fi.group05.room03.model;

import cz.muni.fi.group05.room03.ui.I18N;

public class Guest {

    private final Long reservationId;
    private Long id;
    private String name;
    private String room;
    private String idCard;
    private GuestGeneration generation;
    private String info;

    public Guest(String name, String room, String idCard, GuestGeneration generation, String info, Long reservationId, Long id) {
        this.name = name;
        this.room = room;
        this.idCard = idCard;
        this.generation = generation;
        this.info = info;
        this.reservationId = reservationId;
        this.id = id;
    }

    public Guest(String name, String room, String idCard, GuestGeneration generation, String info, Long reservationId) {
        this(name, room, idCard, generation, info, reservationId, null);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRoom() {
        return room;
    }

    public void setRoom(String room) {
        this.room = room;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public GuestGeneration getGeneration() {
        return generation;
    }

    public void setGeneration(GuestGeneration generation) {
        this.generation = generation;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getReservationId() {
        return reservationId;
    }

    public enum GuestGeneration {

        ADULT,
        CHILD;

        private static final cz.muni.fi.group05.room03.ui.I18N I18N = new I18N(GuestGeneration.class);

        @Override
        public String toString() {
            return I18N.getString(this.name());
        }
    }
}
